> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ticketalert

## "ticketalert" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TicketAlertProvider">TicketAlertProvider</see> class.
The name of the MDO list is 'ticketalert'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ticketalert
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ticketalert", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "ticketalertheadings"
* "ticketalertheadingswithallitem"
* "ticketalertheadingswithallitemwithnoselection"
* "ticketalertheadingswithnoselection"
* "ticketalertwithallitem"
* "ticketalertwithallitemwithnoselection"
* "ticketalertwithnoselection"


## Related topics

- [Enum TicketAlertAction](/en/automation/crmscript/reference/CRMScript.NetServer.TicketAlertAction.md)
- [SuperOffice.WebApi.Data.TicketAlertAction](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketAlertAction.md)
- [SuperOffice.WebApi.Data.TicketPriorityEscalationLevelEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketPriorityEscalationLevelEntity.md)
- [ticket_alert table](/en/database/tables/ticket-alert.md)
- [SuperOffice.WebApi.Data.Ticket](/en/api/reference/webapi/SuperOffice.WebApi.Data.Ticket.md)
- [SuperOffice.WebApi.Data.TicketEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketEntity.md)
